package com.ycgis.macall.personalcenter.m.requestbean;

import java.io.Serializable;

/**
 * created by:   Macall
 * create time:  2023/11/9 11:51
 * copyright:    @ruansee.com
 * Describe:
 */
public class HomeBannerBean implements Serializable, Comparable<HomeBannerBean> {

    /**
     * id : 5
     * url : /profile/upload/2023/01/02/icon_banner1.png
     * sort : 1
     * effectiveness : 1
     * link : null
     * remark : null
     */

    private int id;
    private String url;
    private int sort;

    public HomeBannerBean(int id, String url, int sort) {
        this.id = id;
        this.url = url;
        this.sort = sort;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    @Override
    public int compareTo(HomeBannerBean o) {
        return sort-o.getSort()>0?1:-1;
    }
}
